unit UFrmvendaacesso;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, ComCtrls, Buttons, StdCtrls, RXCtrls, jpeg, Grids, Wwdbigrd,
  Wwdbgrid, DBCtrls;

type
  TFrmvendaacesso = class(TForm)
    Label12: TLabel;
    Label13: TLabel;
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Edit1: TEdit;
    Bevel1: TBevel;
    RxLabel1: TRxLabel;
    Image1: TImage;
    Panel5: TPanel;
    Label14: TLabel;
    RxLabel2: TRxLabel;
    Bevel2: TBevel;
    Label15: TLabel;
    Bevel3: TBevel;
    Label16: TLabel;
    RxLabel3: TRxLabel;
    Edit6: TEdit;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    SpeedButton1: TSpeedButton;
    StatusBar1: TStatusBar;
    Timer1: TTimer;
    Timer2: TTimer;
    Timer3: TTimer;
    Image2: TImage;
    wwDBGrid1: TwwDBGrid;
    Label17: TLabel;
    Label18: TLabel;
    DBText1: TDBText;
    Bevel4: TBevel;
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    procedure FormShow(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure Timer3Timer(Sender: TObject);
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure Edit6KeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
    procedure SpeedButton1Click(Sender: TObject);
  private
     a, b : integer;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Frmvendaacesso: TFrmvendaacesso;

implementation
uses modulo, ufrmgerenciamento;
{$R *.DFM}

procedure TFrmvendaacesso.FormShow(Sender: TObject);
begin
   if chamarconta = 'RxSwitch1' then
   begin
      if FrmGerenciamento.lblgrupo1.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo1.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome1.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro1.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro1.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc1.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod1.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod1.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome1.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro1.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro1.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc1.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch2' then
   begin
      if FrmGerenciamento.lblgrupo2.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo2.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome2.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro2.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro2.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc2.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod2.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod2.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text))
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome2.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro2.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro2.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc2.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch3' then
   begin
      if FrmGerenciamento.lblgrupo3.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo3.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome3.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro3.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro3.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc3.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod3.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod3.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome3.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro3.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro3.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc3.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch4' then
   begin
      if FrmGerenciamento.lblgrupo4.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo4.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome4.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro4.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro4.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc4.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod4.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod4.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome4.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro4.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro4.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc4.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch5' then
   begin
      if FrmGerenciamento.lblgrupo5.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo5.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome5.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro5.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro5.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc5.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod5.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod5.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome5.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro5.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro5.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc5.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch6' then
   begin
      if FrmGerenciamento.lblgrupo6.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo6.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome6.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro6.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro6.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc6.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod6.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod6.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome6.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro6.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro6.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc6.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch7' then
   begin
      if FrmGerenciamento.lblgrupo7.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo7.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome7.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro7.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro7.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc7.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod7.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod7.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome7.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro7.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro7.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc7.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch8' then
   begin
      if FrmGerenciamento.lblgrupo8.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo8.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome8.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro8.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro8.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc8.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod8.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod8.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome8.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro8.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro8.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc8.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch9' then
   begin
      if FrmGerenciamento.lblgrupo9.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo9.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome9.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro9.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro9.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc9.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod9.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod9.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome9.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro9.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro9.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc9.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch10' then
   begin
      if FrmGerenciamento.lblgrupo10.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo10.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome10.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro10.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro10.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc10.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod10.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod10.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome10.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro10.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro10.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc10.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch11' then
   begin
      if FrmGerenciamento.lblgrupo11.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo11.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome11.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro11.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro11.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc11.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod11.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod11.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome11.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro11.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro11.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc11.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch12' then
   begin
      if FrmGerenciamento.lblgrupo12.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo12.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome12.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro12.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro12.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc12.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod12.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod12.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome12.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro12.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro12.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc12.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch13' then
   begin
      if FrmGerenciamento.lblgrupo13.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo13.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome13.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro13.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro13.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc13.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod13.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod13.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome13.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro13.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro13.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc13.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch14' then
   begin
      if FrmGerenciamento.lblgrupo14.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo14.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome14.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro14.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro14.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc14.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod14.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod14.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome14.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro14.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro14.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc14.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch15' then
   begin
      if FrmGerenciamento.lblgrupo15.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo15.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome15.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro15.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro15.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc15.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod15.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod15.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome15.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro15.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro15.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc15.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch16' then
   begin
      if FrmGerenciamento.lblgrupo16.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo16.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome16.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro16.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro16.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc16.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod16.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod16.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome16.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro16.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro16.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc16.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch17' then
   begin
      if FrmGerenciamento.lblgrupo17.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo17.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome17.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro17.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro17.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc17.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod17.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod17.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome17.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro17.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro17.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc17.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch18' then
   begin
      if FrmGerenciamento.lblgrupo18.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo18.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome18.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro18.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro18.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc18.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod18.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod18.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome18.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro18.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro18.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc18.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch19' then
   begin
      if FrmGerenciamento.lblgrupo19.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo19.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome19.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro19.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro19.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc19.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod19.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod19.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome19.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro19.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro19.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc19.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch20' then
   begin
      if FrmGerenciamento.lblgrupo20.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo20.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome20.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro20.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro20.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc20.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod20.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod20.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome20.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro20.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro20.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc20.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch21' then
   begin
      if FrmGerenciamento.lblgrupo21.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo21.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome21.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro21.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro21.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc21.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod21.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod21.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome21.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro21.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro21.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc21.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch22' then
   begin
      if FrmGerenciamento.lblgrupo22.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo22.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome22.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro22.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro22.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc22.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod22.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod22.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome22.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro22.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro22.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc22.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch22' then
   begin
      if FrmGerenciamento.lblgrupo22.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo22.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome22.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro22.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro22.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc22.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod22.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod22.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome22.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro22.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro22.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc22.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch23' then
   begin
      if FrmGerenciamento.lblgrupo23.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo23.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome23.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro23.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro23.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc23.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod23.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod23.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome23.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro23.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro23.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc23.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
   if chamarconta = 'RxSwitch24' then
   begin
      if FrmGerenciamento.lblgrupo24.caption <> '' then
      begin
         DMEscola.Tgrupo.close;
         DMEscola.Tgrupo.SQL.Clear;
         DMEscola.Tgrupo.SQL.Add('Select * From grupo_acesso');
         DMEscola.Tgrupo.SQL.Add('Where grupo = :grp');
         DMEscola.Tgrupo.ParamByName('grp').AsString := FrmGerenciamento.lblgrupo24.caption;
         DMEscola.Tgrupo.Open;
      //===========
         label11.caption := DMEscola.TgrupoDesconto.AsString;
         Label2.Caption := FrmGerenciamento.lblnome24.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro24.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro24.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc24.Caption;
      //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod24.caption);
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = :cod');
         DMEscola.Qsumsuport.ParamByName('cod').AsInteger := StrToInt(FrmGerenciamento.lblcod24.caption);
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end
      else
      begin
         label11.caption := '0';
         Label2.Caption := FrmGerenciamento.lblnome24.caption;
         Label4.caption := DateToStr(Date);
         Label6.caption := FrmGerenciamento.lbltempomicro24.caption;
         Label8.caption := FrmGerenciamento.lbltotalmicro24.caption;
         Edit1.Text := CurrToStr(StrToCurr(Label8.caption) - ((StrToCurr(Label8.caption) * StrToCurr(Label11.caption)) / 100));
         Label13.caption := FrmGerenciamento.lblpc24.Caption;
         //============
         DMEscola.Qsuport.Close;
         DMEscola.Qsuport.SQL.Clear;
         DMEscola.QSuport.SQL.Add('Select * From vendaemacesso');
         DMEscola.Qsuport.SQL.Add('Where cod_cli = 0');
         DMescola.Qsuport.open;
      //============
         DMEscola.Qsumsuport.close;
         DMEscola.Qsumsuport.SQL.Clear;
         DMEscola.Qsumsuport.SQL.Add('Select sum(preco_unit) From vendaemacesso');
         DMEscola.Qsumsuport.SQL.Add('Where cod_cli = 0');
         DMEscola.Qsumsuport.open;
      //=============
         if DBText1.Field.AsString <> '' then
            label20.caption := CurrToStr(StrToCurr(Edit1.text) + StrToCurr(DBText1.Field.AsString))
         else
            label20.caption := CurrToStr(StrToCurr(Edit1.text));
      end;
   end;
end;

procedure TFrmvendaacesso.Timer1Timer(Sender: TObject);
begin
   RxLabel2.caption := label20.caption;
   Panel5.visible := true;
   Edit6.Text := '';
   Edit6.SEtfocus;
   a := Panel5.Height + 10;
   b := Panel5.Width + 14;
   Panel5.Height := a;
   Panel5.Width := b;
   if (b > 140) then
      timer1.enabled := false;
end;

procedure TFrmvendaacesso.BitBtn2Click(Sender: TObject);
begin
   timer1.enabled := true;
end;

procedure TFrmvendaacesso.Timer2Timer(Sender: TObject);
begin
   a := Panel5.Height - 10;
   b := Panel5.Width - 14;
   Panel5.Height := a;
   Panel5.Width := b;
   if (b <= 1) then
      timer2.enabled := false;
end;

procedure TFrmvendaacesso.BitBtn1Click(Sender: TObject);
begin
   timer2.Enabled := true;
   DMEscola.Qacesso.Edit;
   DMEscola.Qacesso.Append;
   DMEscola.QacessoCliente.Value := Label2.Caption;
   DMEscola.QacessoData.Value := StrToDate(Label4.caption);
   DMEscola.QacessoTempo.Value := label6.caption;
   DMEscola.QacessoValor.Value := StrToFloat(label8.caption);
   DMEscola.QacessoDesconto.Value := StrToFloat(Label11.caption);
   DMEscola.QacessoTotal_acesso.Value := StrToFloat(Edit1.Text);
   DMEscola.QacessoTerminal.Value := label13.caption;
   DMEscola.QacessoPago.Value := true;
   DMescola.QacessoDataPGTo.Value := Date;
   ShowMessage('Uso de terminal pelo cliente '+ label2.caption + ' pago com sucesso!');
   DMescola.Qacesso.Post;
   {============= TUDO ISSO SÓ PARA COPIAR OS REGISTROS PARA OUTRA TABELA,
   ACHEI UM CODIGO NA NET, MAS NÃO FUNCIONOU...}
   DMEscola.Qsuport.First;
   DMEscola.Qdetalhesven.open;
   while not(DMEscola.Qsuport.Eof) do
   begin
      DMescola.Qdetalhesven.Append;
      DMEscola.QdetalhesvenCod_Cli.value := DMEscola.QsuportCod_cli.Value;
      DMEscola.QdetalhesvenProduto.value := DMEscola.QsuportProduto.value;
      DMEscola.QdetalhesvenQuatidade.value := DMEscola.QsuportQuantidade.value;
      DMEscola.QdetalhesvenPreco_unit.value := DMEscola.QsuportPreco_unit.value;
      DMEscola.QdetalhesvenPreco_total.Value := DMEscola.QsuportPreco_total.value;
      DMEscola.QdetalhesvenPago.value := true;
      DMEscola.QdetalhesvenDataPGTO.value := Date;
      DMEscola.Qsuport.Next;
   end;
   DMEscola.Qsuport.Last;
   DMescola.Qdetalhesven.Append;
   DMEscola.QdetalhesvenCod_Cli.value := DMEscola.QsuportCod_cli.Value;
   DMEscola.QdetalhesvenProduto.value := DMEscola.QsuportProduto.value;
   DMEscola.QdetalhesvenQuatidade.value := DMEscola.QsuportQuantidade.value;
   DMEscola.QdetalhesvenPreco_unit.value := DMEscola.QsuportPreco_unit.value;
   DMEscola.QdetalhesvenPreco_total.Value := DMEscola.QsuportPreco_total.value;
   DMEscola.QdetalhesvenPago.value := true;
   DMEscola.QdetalhesvenDataPGTO.value := Date;
   While DMEscola.Qsuport.RecordCount > 0 do
      DMEscola.Qsuport.Delete;
   close;
end;

procedure TFrmvendaacesso.BitBtn3Click(Sender: TObject);
begin
   DMEscola.Qacesso.Edit;
   DMEscola.Qacesso.Append;
   DMEscola.QacessoCliente.Value := Label2.Caption;
   DMEscola.QacessoData.Value := StrToDate(Label4.caption);
   DMEscola.QacessoTempo.Value := label6.caption;
   DMEscola.QacessoValor.Value := StrToFloat(label8.caption);
   DMEscola.QacessoDesconto.Value := StrToFloat(Label11.caption);
   DMEscola.QacessoTotal_acesso.Value := StrToFloat(Edit1.Text);
   DMEscola.QacessoTerminal.Value := label13.caption;
   DMEscola.QacessoPago.Value := false;
   ShowMessage('Uso de terminal pelo cliente '+ label2.caption + ' marcado com sucesso!');
   DMescola.Qacesso.Post;
   close;
   {//============= TUDO ISSO SÓ PARA COPIAR OS REGISTROS PARA OUTRA TABELA,
   ACHEI UM CODIGO NA NET, MAS NÃO FUNCIONOU...}
   DMEscola.Qsuport.First;
   DMEscola.Qdetalhesven.open;
   while not(DMEscola.Qsuport.Eof) do
   begin
      DMescola.Qdetalhesven.Append;
      DMEscola.QdetalhesvenCod_Cli.value := DMEscola.QsuportCod_cli.Value;
      DMEscola.QdetalhesvenProduto.value := DMEscola.QsuportProduto.value;
      DMEscola.QdetalhesvenQuatidade.value := DMEscola.QsuportQuantidade.value;
      DMEscola.QdetalhesvenPreco_unit.value := DMEscola.QsuportPreco_unit.value;
      DMEscola.QdetalhesvenPreco_total.Value := DMEscola.QsuportPreco_total.value;
      DMEscola.QdetalhesvenPago.value := false;
      DMEscola.Qsuport.Next;
   end;
   DMEscola.Qsuport.Last;
   DMescola.Qdetalhesven.Append;
   DMEscola.QdetalhesvenCod_Cli.value := DMEscola.QsuportCod_cli.Value;
   DMEscola.QdetalhesvenProduto.value := DMEscola.QsuportProduto.value;
   DMEscola.QdetalhesvenQuatidade.value := DMEscola.QsuportQuantidade.value;
   DMEscola.QdetalhesvenPreco_unit.value := DMEscola.QsuportPreco_unit.value;
   DMEscola.QdetalhesvenPreco_total.Value := DMEscola.QsuportPreco_total.value;
   DMEscola.QdetalhesvenPago.value := false;
   While DMEscola.Qsuport.RecordCount > 0 do
      DMEscola.Qsuport.Delete;
end;

procedure TFrmvendaacesso.FormClose(Sender: TObject;
  var Action: TCloseAction);
begin
   Action := CaFree;
end;

procedure TFrmvendaacesso.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
if MessageDLg('Deseja fechar tela Conta do cliente agora?', MtConfirmation, [mbyes, mbno], 0) = mrno then
   CanClose := false;
end;

procedure TFrmvendaacesso.Timer3Timer(Sender: TObject);
begin
  StatusBar1.Panels[0].Text :=  Copy(StatusBar1.Panels[0].Text, 2, length(StatusBar1.Panels[0].Text)-1) + copy (StatusBar1.Panels[0].Text,1 ,1);
end;

procedure TFrmvendaacesso.FormKeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_F2 then
      BitBtn2.Click;
   if Key = VK_F3 then
      BitBtn3.Click;
   if Key = VK_F12 then
      close;
end;

procedure TFrmvendaacesso.Edit6KeyDown(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
   if Key = VK_Return then
   begin
      RxLabel3.Caption := FloatToStr(StrToFloat(Edit6.Text) - StrToFloat(RxLabel2.caption));
      BitBtn1.SetFocus
   end;
end;

procedure TFrmvendaacesso.SpeedButton1Click(Sender: TObject);
begin
   close;
end;

end.
